long zufallszahl;

void setup() {
  Serial.begin(9600);
  randomSeed(analogRead(0));
}

double findRandomFloatpointNumber() {
  zufallszahl = random(100);
  return zufallszahl * 0.835;
}

//Funktion zum runden einer Gleitkommazahl
//auf eine Stelle nach dem Komma.
double roundWithDigits(double value, int digits) {
  return floor(value * pow(10, digits)) / pow(10, digits);
}

void loop() {
  double value = findRandomFloatpointNumber();
  Serial.print("Zufallszahl: ");
  Serial.print(value);

  //char Array für den späteren formatierten Wert
  char buffer[5];
  //Konstanten für die Parameter der Funktion dtostrf
  const int stellenVorDemKomma = 4;
  const int stellenNachDemKomma = 1;
  //erster Parameter, der Gleitkommawert welcher formatiert werden soll
  //zweiter Parameter, wieviele Stelle maximal vor dem Komma sein sollen,
  //dritter Parameter, wieviele Stellen maximal nach dem Komma sein sollen,
  //vierter Parameter, das char Array in welchen der Wert geschrieben werden soll
  dtostrf(value, stellenVorDemKomma, stellenNachDemKomma, buffer);  
  //Ausgeben der Daten
  Serial.print(" > gerundet: ");
  Serial.println(buffer);

  delay(500);
}